Get a license key
Added in v1.0
GET
https://api.example.com/api/keys/{id}
Requires authentication:
X-API-Key: YOUR_API_KEY
Returns a single license key by its record ID.
Path parameters
-
idinteger requiredExample:1
Responses
- 200Success
- 404License key not found
Request
curl -X GET 'https://api.example.com/api/keys/1' \
-H 'X-API-Key: YOUR_API_KEY'
const response = await fetch('https://api.example.com/api/keys/1', {
method: 'GET',
headers: {
'X-API-Key': 'YOUR_API_KEY',
},
});
const data = await response.json();
console.log(data);
import requests
response = requests.get(
"https://api.example.com/api/keys/1",
headers={
"X-API-Key": "YOUR_API_KEY",
},
)
print(response.json())
<?php
$ch = curl_init('https://api.example.com/api/keys/1');
curl_setopt_array($ch, [
CURLOPT_CUSTOMREQUEST => 'GET',
CURLOPT_RETURNTRANSFER => true,
CURLOPT_HTTPHEADER => [
'X-API-Key: YOUR_API_KEY',
],
]);
$response = json_decode(curl_exec($ch), true);
curl_close($ch);
print_r($response);
Response
Success
{
"id": 1,
"uuid": "123",
"product": 456,
"key": "0190a5f3-7c1e-7b2a-9d4e-3f8a6c1b2d90",
"ip": "203.0.113.10",
"status": true,
"disabled": false,
"locked": true,
"lastSeen": 1790000000000
}
License key not found
{
"msg": "The specified license key was not found."
}